<template>
    <router-view></router-view>
</template>

<script>
export default {
  name:'app',
  created(){
      Vue.prototype.base64 = (i)  => btoa(i);

      this.$auth.setUser((type)=> {
        if(type) {
            if(this.$route && this.$route.name && this.$route.name.includes('login')){
            this.$router.push({ name: type }).catch(()=>{});
          }
        }
      });
  },
}
</script>
